
package org.mule.modules.workday.cash.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/wd-cash</code>.
 * 
 */
public class CashModuleNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new CashModuleConfigDefinitionParser());
        registerBeanDefinitionParser("submit-payment-election-enrollment", new SubmitPaymentElectionEnrollmentDefinitionParser());
    }

}
