
package org.mule.modules.workday.hr.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/wd-hr</code>.
 * 
 */
public class HumanResourcesModuleNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new HumanResourcesModuleConfigDefinitionParser());
        registerBeanDefinitionParser("update-employee-personal-info", new UpdateEmployeePersonalInfoDefinitionParser());
    }

}
