
package org.mule.modules.workday.payroll.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/wd-payroll</code>.
 * 
 */
public class PayrollModuleNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new PayrollModuleConfigDefinitionParser());
        registerBeanDefinitionParser("put-payroll-federal-w4-tax-election", new PutPayrollFederalW4TaxElectionDefinitionParser());
    }

}
